# Tarfile created using svn
# svn checkout http://rawtherapee.googlecode.com/svn/tags/release-%{version}-%{prerelease}/ rawtherapee
# cd rawtherapee
# svn export . %{name}-%{version}
# tar -cjvf ~/%{name}-%{version}-%{prerelease}.tar.bz2 %{name}-%{version}
%global prerelease a1
%global tarfile %{name}-%{version}-%{prerelease}.tar.bz2

# Build ID problem with custom compiler:should be removed!
%global debug_package %{nil}

Name:           rawtherapee
Version:        3.0
Release:        0.3.%{prerelease}%{?dist}
Summary:        Raw image processing software

Group:          Applications/Multimedia 
License:        GPLv3
URL:            http://www.rawtherapee.com/
Source0:        %{tarfile}
Patch0:         rawtherapee-lcms.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  lcms-devel, gtk2-devel, gtkmm24-devel
BuildRequires:  libjpeg-devel, libtiff-devel, libpng-devel, libiptcdata-devel
Requires:       argyllcms, lcms

%description
Rawtherapee is a RAW image processing software. It gives full control over
many parameters to enhance the raw picture for a following JPEG export.

%prep
%setup -q
%patch0 -p1
sed -i "s|#include <gtkmm.h>|#include <gtkmm.h>\\n#include <stdio.h>|" rtgui/main.cc
sed -i "s#argv0_ = argv\[0\];#argv0_ = getenv(\"RT_DATA\");#" rtgui/main.cc

sed -i 's#\"Build with Rawzor support\" ON#\"Build with Rawzor support\" OFF#' CMakeLists.txt
sed -i 's#-O3#${CMAKE_CXX_FLAGS}#' rtengine/CMakeLists.txt
sed -i 's#-O3#${CMAKE_CXX_FLAGS}#g' rtexif/CMakeLists.txt
sed -i 's#-O3#${CMAKE_CXX_FLAGS}#' rtgui/CMakeLists.txt

# create shared lib for rtexif
sed -i "s#add_library (rtexif#add_library (rtexif SHARED#" rtexif/CMakeLists.txt

sed -i "s#export LD_LIBRARY_PATH=\`dirname \"\$0\"\`#export LD_LIBRARY_PATH=%{_libdir}/%{name}\\nexport RT_DATA=%{_datadir}/%{name}/#" rtstart
sed -i "s#\`dirname \"\$0\"\`/rt#\`dirname \"\$0\"\`/rawtherapee-bin#" rtstart

find release/languages/ -type f -perm -u=x -exec chmod 0644 {} ';'
find release/themes/ -type f -perm -u=x -exec chmod 0644 {} ';'
find release/profiles/ -type f -perm -u=x -exec chmod 0644 {} ';'
find release/images/ -type f -perm -u=x -exec chmod 0644 {} ';'

# fix wrong line endings
sed -i "s|\r||g" authors compile

# settle permissions
chmod a-x {authors,compile,copying}

%build
%cmake -DCMAKE_INSTALL_DO_STRIP=0
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/%{name}

mv release/rt $RPM_BUILD_ROOT/%{_bindir}/rawtherapee-bin
mv release/rtstart $RPM_BUILD_ROOT/%{_bindir}/rawtherapee
mv release/rwz_sdk.so $RPM_BUILD_ROOT/%{_libdir}/%{name}
mv release/options $RPM_BUILD_ROOT/%{_datadir}/%{name}
mv release/librtengine.so $RPM_BUILD_ROOT/%{_libdir}/%{name}
mv rtexif/librtexif.so $RPM_BUILD_ROOT/%{_libdir}/%{name}

mv release/* $RPM_BUILD_ROOT/%{_datadir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc authors copying compile
%{_bindir}/rawtherapee
%{_bindir}/rawtherapee-bin
%{_libdir}/%{name}/librtengine.so
%{_libdir}/%{name}/rwz_sdk.so
%{_libdir}/%{name}/librtexif.so
%{_datadir}/%{name}/options
%{_datadir}/%{name}/*


%changelog
* Sun Jan 24 2010 Sebastian Dziallas <sebastian@when.com> - 3.0-0.3.a1
- Switch to a1 SVN checkout
* Sun Jan 24 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.2.a1
- Various Fixes
* Fri Jan 22 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.1.a1
- Initial package
